MeshPointCollection Class

class NXOpen.CAE.MeshPointCollection

Bases: object

Provides methods for managing constraints NXOpen.CAE.MeshPoint in a sim part.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.CAE.MeshPoint is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. To obtain an instance of this class, refer to NXOpen.CAE.FemPart

New in version NX5.0.2.

Method Detail

CreateMeshpointConicCenterBuilder

MeshPointCollection.CreateMeshpointConicCenterBuilder

Creates a NXOpen.CAE.MeshPointConicCenterBuilder object.

Signature CreateMeshpointConicCenterBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointConicCenterBuilder

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateMeshpointExistingPointBuilder

MeshPointCollection.CreateMeshpointExistingPointBuilder

Creates a NXOpen.CAE.MeshPointExistingPointBuilder object.

Signature CreateMeshpointExistingPointBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointExistingPointBuilder

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateMeshpointInsideVolumeBuilder

MeshPointCollection.CreateMeshpointInsideVolumeBuilder

Creates a NXOpen.CAE.MeshPointInsideVolumeBuilder object.

Signature CreateMeshpointInsideVolumeBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointInsideVolumeBuilder

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateMeshpointMultipleOnCurveBuilder

MeshPointCollection.CreateMeshpointMultipleOnCurveBuilder

Creates a NXOpen.CAE.MeshPointMultipleOnCurveBuilder object.

Signature CreateMeshpointMultipleOnCurveBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointMultipleOnCurveBuilder

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateMeshpointOnCurveBuilder

MeshPointCollection.CreateMeshpointOnCurveBuilder

Creates a NXOpen.CAE.MeshPointOnCurveBuilder object.

Signature CreateMeshpointOnCurveBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointOnCurveBuilder

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateMeshpointOnFaceBuilder

MeshPointCollection.CreateMeshpointOnFaceBuilder

Creates a NXOpen.CAE.MeshPointOnFaceBuilder object.

Signature CreateMeshpointOnFaceBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointOnFaceBuilder

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateMeshpointProjectBuilder

MeshPointCollection.CreateMeshpointProjectBuilder

Creates a NXOpen.CAE.MeshPointProjectBuilder object.

Signature CreateMeshpointProjectBuilder()

Returns:
Return type:NXOpen.CAE.MeshPointProjectBuilder

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

FindObject

MeshPointCollection.FindObject

Finds the NXOpen.CAE.MeshPoint with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier of the MeshPoint you want
Returns:
Return type:NXOpen.CAE.MeshPoint

New in version NX5.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)